{ Copyright (C) 09/09/2004 00:00, Luis R. Hilario B. <info@luisdigital.com>

  This library is free software; you can redistribute it and/or modify it
  under the terms of the GNU Library General Public License as published by
  the Free Software Foundation; either version 2 of the License, or (at your
  option) any later version.

  This program is distributed in the hope that it will be useful, but WITHOUT
  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
  FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License
  for more details.

  You should have received a copy of the GNU Library General Public License
  along with this library; if not, write to the Free Software Foundation,
  Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
}

unit configuraciones;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, LResources, StdCtrls,
  ExtCtrls, Buttons,
  klintonstrconst, util, TxtDB, Process, Linux;

type
  TForm3 = class(TForm)
    Bevel1: TBEVEL;
    Bitbtn1: TBITBTN;
    BitbtnCerrar: TBITBTN;
    Bitbtn3: TBITBTN;
    BitbtnLogo: TBITBTN;
    Button1: TBUTTON;
    Button2: TBUTTON;
    Button3: TBUTTON;
    Checkbox1: TCHECKBOX;
    Checkbox2: TCHECKBOX;
    Checkbox3: TCHECKBOX;
    Checkbox4: TCHECKBOX;
    Checkbox5: TCHECKBOX;
    Checkbox6: TCHECKBOX;
    Checkbox7: TCHECKBOX;
    Edit1: TEDIT;
    Edit2: TEDIT;
    Edit3: TEDIT;
    Edit4: TEDIT;
    Edit5: TEDIT;
    Edit6: TEDIT;
    EditParametros: TEDIT;
    EditNavegador: TEDIT;
    Groupbox1: TGROUPBOX;
    Groupbox2: TGROUPBOX;
    Image1: TIMAGE;
    Label1: TLABEL;
    Label10: TLABEL;
    Label11: TLABEL;
    Label12: TLABEL;
    Label13: TLABEL;
    Label14: TLABEL;
    Label2: TLABEL;
    Label3: TLABEL;
    Label4: TLABEL;
    Label5: TLABEL;
    Label6: TLABEL;
    Label7: TLABEL;
    Label8: TLABEL;
    Label9: TLABEL;
    Notebook1: TNOTEBOOK;
    Opendialog1: TOPENDIALOG;
    Page1: TPAGE;
    Page2: TPAGE;
    Page3: TPAGE;
    Process1: TPROCESS;
    Shape1: TSHAPE;
    Statictext1: TSTATICTEXT;
    Statictext2: TSTATICTEXT;
    procedure Bitbtn3CLICK(Sender: TObject);
    procedure BitbtnLogoCLICK(Sender: TObject);
    procedure Button1CLICK(Sender: TObject);
    procedure Button2CLICK(Sender: TObject);
    procedure Button3CLICK(Sender: TObject);
    procedure Checkbox2CLICK(Sender: TObject);
    procedure Form3CLOSEQUERY(Sender: TObject; var CanClose: boolean);
    procedure Form3CREATE(Sender: TObject);
    procedure Form3SHOW(Sender: TObject);
    procedure Statictext1CLICK(Sender: TObject);
  private
    { private declarations }
     FLogoNombre: String;
  public
    { public declarations }
  end;
  
var
  Form3: TForm3; 

implementation

{ TForm3 }

procedure TForm3.Form3SHOW(Sender: TObject);
begin
  With TTXTDB.create(ArchivoTXTDBConf) do
  begin
   ReadTXTDB;
   Edit6.Text := RecordData[fnNOMBRE];
   Edit5.Text := RecordData[fnSLOGAN];
   Edit4.Text := RecordData[fnDIR1];
   Edit3.Text := RecordData[fnCIUDAD];
   Edit2.Text := RecordData[fnTEL];
   Edit1.Text := RecordData[fnEMAIL];
   FLogoNombre := RecordData[fnLOGO];
   Checkbox1.Checked := Boolean(RecordDataI[fnPNOMBRE]);
   Checkbox2.Checked := Boolean(RecordDataI[fnPSLOGAN]);
   Checkbox3.Checked := Boolean(RecordDataI[fnPDIR1]);
   Checkbox4.Checked := Boolean(RecordDataI[fnPCIUDAD]);
   Checkbox5.Checked := Boolean(RecordDataI[fnPTEL]);
   Checkbox6.Checked := Boolean(RecordDataI[fnPEMAIL]);
   Checkbox7.Checked := Boolean(RecordDataI[fnPLOGO]);
   Checkbox2CLICK(nil);
   EditNavegador.Text := RecordData[fnNAVEGADOR]; //Browser
   EditParametros.Text := RecordData[fnPARAMETROS];
   Free;
  end;

  BitbtnLogo.Glyph := CargarArcImag(FLogoNombre);
end;

procedure TForm3.Statictext1CLICK(Sender: TObject);
begin
   Button3CLICK(Sender);
end;

procedure TForm3.BitbtnLogoCLICK(Sender: TObject);
begin
  Opendialog1.Title := 'Seleccione un archivo y presione [Aceptar].';
  Opendialog1.Filter := 'Archivos Grficos (*.xpm;*.XPM)|*.xpm;*.XPM';
  if Opendialog1.Execute then
    if AnsiUpperCase(ExtractFileExt(Opendialog1.FileName)) = '.XPM' Then
     begin
      FLogoNombre := Opendialog1.FileName;
      BitbtnLogo.Glyph := CargarArcImag(FLogoNombre);
     end;
end;

procedure TForm3.Bitbtn3CLICK(Sender: TObject);
begin
  AyudaHTML(Con_Conf);
end;

procedure TForm3.Button1CLICK(Sender: TObject);
begin
  EditNavegador.Text := SystemBrowser('FullPath');
  EditParametros.Text := SystemBrowser('Para');
end;

procedure TForm3.Button2CLICK(Sender: TObject);
begin
  Opendialog1.Title := 'Seleccione un Navegador Web y presione [Aceptar].';
  Opendialog1.Filter := '';
  if Opendialog1.Execute then
  begin
    EditNavegador.Text := Opendialog1.FileName;
    EditParametros.Text := '';
  end;
end;

procedure TForm3.Button3CLICK(Sender: TObject);
begin
  if FileExists(EditNavegador.Text) then
  begin
   if Linux.Access(EditNavegador.Text, Linux.X_OK) then
   begin
    //Process1.ApplicationName := EditNavegador.Text + ' '+ EditParametros.Text;
    Process1.CommandLine := EditNavegador.Text + ' '+ EditParametros.Text +' '+
                            Statictext1.Caption;
    Process1.Execute;
   end;
  //DOS.Exec(EditNavegador.Text, EditParametros.Text);
  end;
end;

procedure TForm3.Checkbox2CLICK(Sender: TObject);
begin
  if Checkbox1.Checked then Checkbox1.Caption := rsSI else
                            Checkbox1.Caption := rsNO;
  if Checkbox2.Checked then Checkbox2.Caption := rsSI else
                            Checkbox2.Caption := rsNO;
  if Checkbox3.Checked then Checkbox3.Caption := rsSI else
                            Checkbox3.Caption := rsNO;
  if Checkbox4.Checked then Checkbox4.Caption := rsSI else
                            Checkbox4.Caption := rsNO;
  if Checkbox5.Checked then Checkbox5.Caption := rsSI else
                            Checkbox5.Caption := rsNO;
  if Checkbox6.Checked then Checkbox6.Caption := rsSI else
                            Checkbox6.Caption := rsNO;
  if Checkbox7.Checked then Checkbox7.Caption := rsSI else
                            Checkbox7.Caption := rsNO;
end;

procedure TForm3.Form3CLOSEQUERY(Sender: TObject; var CanClose: boolean);
begin
  if ModalResult = mrOK then
    begin
      With TTXTDB.create(ArchivoTXTDBConf) do
      begin
       ReadTXTDB;
       RecordData[fnNOMBRE] := Edit6.Text;
       RecordData[fnSLOGAN] := Edit5.Text;
       RecordData[fnDIR1] := Edit4.Text;
       RecordData[fnCIUDAD] := Edit3.Text;
       RecordData[fnTEL] := Edit2.Text;
       RecordData[fnEMAIL] := Edit1.Text;
       RecordData[fnLOGO] := FLogoNombre;
       RecordDataI[fnPNOMBRE] := Integer(Checkbox1.Checked);
       RecordDataI[fnPSLOGAN] := Integer(Checkbox2.Checked);
       RecordDataI[fnPDIR1] := Integer(Checkbox3.Checked);
       RecordDataI[fnPCIUDAD] := Integer(Checkbox4.Checked);
       RecordDataI[fnPTEL] := Integer(Checkbox5.Checked);
       RecordDataI[fnPEMAIL] := Integer(Checkbox6.Checked);
       RecordDataI[fnPLOGO] := Integer(Checkbox7.Checked);
       RecordData[fnNAVEGADOR] := EditNavegador.Text; //Browser
       RecordData[fnPARAMETROS] := EditParametros.Text;
       WriteTXTDB;
       Free;
      end;
    end;
end;

procedure TForm3.Form3CREATE(Sender: TObject);
begin
  Image1.Picture.Pixmap.LoadFromLazarusResource('logo');
  Label11.Caption := rsVersion;
  Label12.Caption := rsSerie;
  Label13.Caption := rsDerechos;
end;

initialization
  {$I configuraciones.lrs}

end.

