{ Copyright (C) 09/09/2004 00:00, Luis R. Hilario B. <info@luisdigital.com>

  This library is free software; you can redistribute it and/or modify it
  under the terms of the GNU Library General Public License as published by
  the Free Software Foundation; either version 2 of the License, or (at your
  option) any later version.

  This program is distributed in the hope that it will be useful, but WITHOUT
  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
  FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License
  for more details.

  You should have received a copy of the GNU Library General Public License
  along with this library; if not, write to the Free Software Foundation,
  Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
}

unit menu;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, LResources, ExtCtrls,
  ComCtrls, Buttons, StdCtrls,
  configuraciones, util, klintonstrconst,
  clientes, inventario, facturar, TxtDB;

type
  TForm2 = class(TForm)
    BitbtnFact: TBITBTN;
    BitbtnConf: TBITBTN;
    BitbtnCli: TBITBTN;
    BitbtnMerc: TBITBTN;
    BitbtnAyuda: TBITBTN;
    BitbtnCerrar: TBITBTN;
    Statictext1: TSTATICTEXT;
    Statictext2: TSTATICTEXT;
    Statictext3: TSTATICTEXT;
    Statictext4: TSTATICTEXT;
    Statictext5: TSTATICTEXT;
    Statictext6: TSTATICTEXT;
    TextoFecha: TSTATICTEXT;
    procedure BitbtnCliCLICK(Sender: TObject);
    procedure BitbtnConfCLICK(Sender: TObject);
    procedure BitbtnFactCLICK(Sender: TObject);
    procedure BitbtnMercCLICK(Sender: TObject);
    procedure Form2CREATE(Sender: TObject);
    procedure Form2PAINT(Sender: TObject);
  private
    { private declarations }
    ShowLogo: Boolean;
    procedure LeerConf;
  public
    { public declarations }
      FLogo: TPixmap;
  end; 

var
  Form2: TForm2;

implementation

{ TForm2 }

procedure TForm2.Form2CREATE(Sender: TObject);
begin
  Canvas.pen.Color := $90A050; //BGR
  Canvas.brush.color := $90A050;

//Imagenes de los botones
  BitbtnFact.Glyph := CargarRecImag('fact');
  BitbtnConf.Glyph := CargarRecImag('conf');
  BitbtnCli.Glyph := CargarRecImag('cliente');
  BitbtnMerc.Glyph := CargarRecImag('caja');

  LeerConf;
end;

procedure TForm2.BitbtnConfCLICK(Sender: TObject);
begin
  Hide;
  if Form3.Showmodal = mrOK then LeerConf;
  Show;
end;

procedure TForm2.BitbtnFactCLICK(Sender: TObject);
begin
  Hide;
  if Form8.Showmodal = mrOK then begin end;
  Show;
end;

procedure TForm2.BitbtnMercCLICK(Sender: TObject);
begin
  Hide;
  Form6.BitbtnVer.Caption := rsVer;
  if Form6.Showmodal = mrOK then begin end;
  Show;
end;

procedure TForm2.BitbtnCliCLICK(Sender: TObject);
begin
  Hide;
  if Form4.Showmodal = mrOK then begin end;
  Show;
end;

procedure TForm2.Form2PAINT(Sender: TObject);
var
  Alto, Ancho: integer;
  
begin
  Canvas.rectangle(0, 0, Width, Height);

  if ShowLogo then
  begin
    Alto := 130;
    Ancho := 80;
    If FLogo.Width < Alto then Alto := FLogo.Width;
    If FLogo.Height < Ancho then Ancho := FLogo.Height;

    Canvas.Copyrect(Bounds(255, 6, Alto, Ancho),
                    FLogo.Canvas,
                    Rect(0, 0, FLogo.Width, FLogo.Height));
  end;

  TextoFecha.Caption := DateToStr(Date);
end;

procedure TForm2.LeerConf;
begin
  With TTXTDB.create(ArchivoTXTDBConf) do
  begin
   ReadTXTDB;
   Statictext1.Caption := RecordData[fnNOMBRE];
   Statictext2.Caption := RecordData[fnSLOGAN];
   Statictext3.Caption := RecordData[fnDIR1];
   Statictext4.Caption := RecordData[fnCIUDAD];
   Statictext5.Caption := RecordData[fnTEL];
   Statictext6.Caption := RecordData[fnEMAIL];
   ShowLogo := Boolean(RecordDataI[fnPLOGO]);
   if FLogo <> nil then FLogo.Free;
   FLogo := CargarArcImag(RecordData[fnLOGO]);
   Free;
  end;
end;

initialization
  { $I menu.lrs}
  {$I pics/botones.lrs}

end.
