{ Copyright (C) 09/09/2004 00:00, Luis R. Hilario B. <info@luisdigital.com>

  This library is free software; you can redistribute it and/or modify it
  under the terms of the GNU Library General Public License as published by
  the Free Software Foundation; either version 2 of the License, or (at your
  option) any later version.

  This program is distributed in the hope that it will be useful, but WITHOUT
  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
  FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License
  for more details.

  You should have received a copy of the GNU Library General Public License
  along with this library; if not, write to the Free Software Foundation,
  Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
}

unit principal;

{$IFDEF FPC}
 {$mode objfpc}
{$ENDIF}
{$H+}


interface

uses
  Classes, SysUtils, Forms, Controls, Graphics,
  {$IFDEF FPC}
  LResources,
  {$ENDIF}
  Buttons, ExtCtrls, klintonstrconst, StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TBUTTON;
    Button2: TBUTTON;
    Image1: TImage;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    procedure Button1CLICK(Sender: TObject);
    procedure Button2CLICK(Sender: TObject);
    procedure Form1CREATE(Sender: TObject);
    procedure Form1SHOW(Sender: TObject);
    procedure FormResize(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  Form1: TForm1;

implementation


uses menu;

{ TForm1 }

procedure TForm1.Button2CLICK(Sender: TObject);
begin
  Close;
end;

procedure TForm1.Button1CLICK(Sender: TObject);
begin
  Form2.ShowModal;
end;

procedure TForm1.Form1CREATE(Sender: TObject);
begin
{$IFDEF FPC}
  FPicture := TPixmap.Create;
  FPicture.LoadFromLazarusResource('logo');
{$ELSE}
  Label1.Caption := rsVersion;
  Label2.Caption := rsSerie;
  Label3.Caption := rsDerechos;
{$ENDIF}
end;

procedure TForm1.Form1SHOW(Sender: TObject);
begin
{$IFDEF FPC}
  //WindowState := wsMaximized; No funciona...
  Width := Screen.Width;
  Height := Screen.Height;
 // Position := poScreenCenter; No funciona...
  Top := 0;
  Left := -4;
{$ELSE}
  FormResize(nil);
{$ENDIF}
end;

procedure TForm1.FormResize(Sender: TObject);
begin
  Button1.Top := Form1.Height - (Button1.Height * 4);
  Button1.Left := (Form1.Width div 2) - (Image1.Width div 2);
  Button2.Top := Form1.Height - (Button1.Height * 4);
  Button2.Left := (Image1.Width - Button2.Width) + (Button1.Left);

  Image1.Left := (Form1.Width div 2) - (Image1.Width div 2);
  Image1.Top := (Form1.Height div 2) - Image1.Height;

  Label1.Top := Image1.Top + Image1.Height + 1;
  Label1.Left := Image1.Left;
  Label2.Top := Image1.Top + Image1.Height + 23;
  Label2.Left := Image1.Left;
  Label3.Top := Image1.Top + Image1.Height + 38;
  Label3.Left := Image1.Left;
end;

initialization
{$IFDEF FPC}
  { $I principal.lrs}
  {$I logo.lrs}
  {$I mainicon.lrs}
{$ELSE}
  {$R *.dfm}
{$ENDIF}
end.

