{ Copyright (C) 09/09/2004 00:00, Luis R. Hilario B. <info@luisdigital.com>

  This library is free software; you can redistribute it and/or modify it
  under the terms of the GNU Library General Public License as published by
  the Free Software Foundation; either version 2 of the License, or (at your
  option) any later version.

  This program is distributed in the hope that it will be useful, but WITHOUT
  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
  FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License
  for more details.

  You should have received a copy of the GNU Library General Public License
  along with this library; if not, write to the Free Software Foundation,
  Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
}

unit adicionar;

{$IFDEF FPC}
 {$mode objfpc}
{$ENDIF}
{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs,
  {$IFDEF FPC}LResources,{$ELSE}Windows,{$ENDIF} ExtCtrls,
  StdCtrls, Buttons,
  KlintonStrConst;

type
  TForm5 = class(TForm)
    BitbtnAdd: TBITBTN;
    BitbtnCerrar: TBITBTN;
    BitbtnAyuda: TBITBTN;
    Combobox1: TCOMBOBOX;
    Combobox2: TCOMBOBOX;
    EditCodigo: TEDIT;
    EditPais: TEDIT;
    EditTel: TEDIT;
    EditFax: TEDIT;
    EditRegT: TEDIT;
    EditEMail: TEDIT;
    EditNotas1: TEDIT;
    EditNotas2: TEDIT;
    EditNotas3: TEDIT;
    EditNombre: TEDIT;
    EditDir1: TEDIT;
    EditDir2: TEDIT;
    EditContacto: TEDIT;
    EditCiudad: TEDIT;
    EditEstado: TEDIT;
    EditZIP: TEDIT;
    Shape2: TSHAPE;
    Shape3: TSHAPE;
    Shape4: TSHAPE;
    Shape5: TSHAPE;
    Statictext1: TSTATICTEXT;
    Statictext10: TSTATICTEXT;
    Statictext11: TSTATICTEXT;
    Statictext12: TSTATICTEXT;
    Statictext13: TSTATICTEXT;
    Statictext14: TSTATICTEXT;
    Statictext15: TSTATICTEXT;
    Statictext16: TSTATICTEXT;
    TextoFecha: TSTATICTEXT;
    Statictext2: TSTATICTEXT;
    Statictext3: TSTATICTEXT;
    Statictext4: TSTATICTEXT;
    Statictext5: TSTATICTEXT;
    Statictext6: TSTATICTEXT;
    Statictext7: TSTATICTEXT;
    Statictext8: TSTATICTEXT;
    Statictext9: TSTATICTEXT;
    procedure Combobox2KEYDOWN(Sender: TObject; var Key: Word;
          Shift: TShiftState);
    procedure EditCodigoEXIT(Sender: TObject);
    procedure EditCodigoKeyPress(Sender: TObject; var Key: Char);
    procedure BitbtnAyudaClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end; 

var
  Form5: TForm5; 

implementation

uses util;

{ TForm5 }

procedure TForm5.Combobox2KEYDOWN(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
  Key := 0;
end;

procedure TForm5.EditCodigoEXIT(Sender: TObject);
begin
  if EditCodigo.Text = '' then EditCodigo.Text := cCODE;
end;

procedure TForm5.EditCodigoKeyPress(Sender: TObject; var Key: Char);
begin
  ValidateKey(Key)
end;

procedure TForm5.BitbtnAyudaClick(Sender: TObject);
begin
  AyudaHTML(Con_CrearC);
end;

procedure TForm5.FormCreate(Sender: TObject);
begin
  BitbtnAdd.Caption := rsAAceptar;
  BitbtnCerrar.Caption := rsACerrar;
  BitbtnAyuda.Caption := rsAAyuda;
end;

initialization
{$IFDEF FPC}
  {$I adicionar.lrs}
{$ELSE}
  {$R *.dfm}
{$ENDIF}

end.

